net.sourceforge.pmd.util.filter

## Class AndFilter<T>

- java.lang.Object
- - net.sourceforge.pmd.util.filter.AbstractCompoundFilter<T>
  - - net.sourceforge.pmd.util.filter.AndFilter<T>

Type Parameters:
  `T` - The underlying type on which the filter applies.

All Implemented Interfaces:
  Filter<T>

    public class AndFilter<T>
    extends AbstractCompoundFilter<T>

A logical AND of a list of Filters. This implementation is short circuiting.

### Field Summary

### Fields inherited from class net.sourceforge.pmd.util.filter.AbstractCompoundFilter

`filters`

### Constructor Summary

Constructors
Constructor and Description
`AndFilter()`
`AndFilter(Filter<T>... filters)`

### Method Summary

Methods
`boolean` `filter(T obj)`
`protected String` `getOperator()`

### Methods inherited from class net.sourceforge.pmd.util.filter.AbstractCompoundFilter

`addFilter, getFilters, setFilters, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AndFilter

    public AndFilter()

#### AndFilter

    public AndFilter(Filter<T>... filters)

### Method Detail

#### filter

    public boolean filter(T obj)

#### getOperator

    protected String getOperator()

Specified by:
  `getOperator` in class `AbstractCompoundFilter<T>`